<div class="flex flex-col flex-auto items-top min-w-0" style="background-color: #f8f8f8">
    
    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="back()"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="text-indigo-900 mt-2 font-Semibold-40 text-center font-141461">
            <div>Enter PIN</div>
        </div>
    </div>

    <div class="flex items-top justify-center mt-7 mx-auto w-full px-4 sm:bg-card box-width"
        style="max-width: 491px ;box-shadow: 0px 0px 6px #0000001A;">
        <div class=" w-full max-w-lg sm:w-96 mx-auto sm:mx-0">
            <div class="flex-auto p-6 sm:p-10">
                <div class="flex justify-center font-Regular-16 py-4">
                    Please enter your PIN to proceed
                </div>
                <ngx-pincode [hideChrs]="true" type="number" [size]="6" (completed)="pincodeCompleted($event)">
                </ngx-pincode>
                <div class="text-center mt-7">
                    <a class="hover:underline font-Regular-14 font-0038ff" style="cursor: pointer"
                        (click)="forgotPin()">
                        Forgot Your PIN?
                    </a>
                </div>

                 <!-- Alert -->
                 <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type" [@shake]="alert.type === 'error'"
                 class="justify-center">
                 {{alert.message}}
             </fuse-alert>

                <button class="fuse-mat-button-medium w-full mt-12 button-r5" mat-flat-button [color]="'primary'"
                    (click)="purchaseNow()" [disabled]="disableButton">
                    Continue
                    <mat-progress-spinner *ngIf="" [diameter]="24" [mode]="'indeterminate'">
                        ></mat-progress-spinner>
                </button>
            </div>
        </div>
    </div>
</div>